package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Remark;
import com.brilliance.isc.vo.manager.RemarkVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface RemarkMapper {

    int insert(Remark record);

    int insertSelective(Remark record);

    int updateByPrimaryKeySelective(Remark record);

    int updateByPrimaryKey(Remark record);

    int deleteByPrimaryKey(Remark record);

    Remark selectByPrimaryKey(Remark record);

    List<Remark> listFuzzyByRecord(RemarkVo record);

    List<Remark> listByLotNum(Remark record);

    int deleteByLotNum(Remark record);

}